Subject: RE: LINK update

From: Phillip Neumiller <[email-masked]>
Date: Wed, 27 Jun 2001 11:21:29 -0400

Hi Phil K. and PILCers,

I have a generalized comment about QoS in the Link draft.  It
is true that QoS is an active area of research and standardization
and there are a few competing ideas.  However, one thing seems to
be missing to me, a "standardized method" to tie IP layer QoS
to MAC protocol layer (or link layer) QoS mechanisms.  I feel that
this linkage is critical and the ability to support a variety of
radio technologies with the top of the MAC sublayer or Link layer
hiding the specifics of the MAC's own QoS techniques.  I realize
this will require compromise in many situations.

Also, there is much talk in Mobile IP and SeaMoby about "generic
triggering mechanisms".  I believe these could be critically 
important to a QoS tie in, PILC, MIP and SeaMoby context transfer.
I have approached Scott Bradner about possibly supporting a 
generic L2 triggering WG in the Sub IP area, but so far I have 
not gotten much consensus.  It seems that MIP wants to do things
a certain way, and SeaMoby another.  Also, I am not 100% sure, but
I have not seen this come up on PILC (which has more of a transport
focus).  This L2 triggering is more of an inter-layer signaling
issue than a transport issue.  Any thoughts on how L3 QoS mechanism
should be tied to L2 QoS mechanisms in a standardized way?  

Thanks,

Phil Neumiller
Mesh Networks, Inc.

> -----Original Message-----
> From: Phil Karn [mailto:[email-masked]]
> Sent: Saturday, June 23, 2001 6:08 PM
> To: [email-masked]
> Subject: LINK update
> 
> 
> I have again updated the LINK draft on my website
> 
> http://people.qualcomm.com/karn/pilc.txt
> 
> to reflect recent comments and additions by Dan Grossman and Lloyd
> Wood, among others. Please review and comment; this document is
> getting asymptotically closer to being done.
> 
> Thanks,
> 
> Phil
>

---

From: "Marie-Jose Montpetit" <[email-masked]>
Date: Wed, 27 Jun 2001 17:42:51 -0700

I think this issue while not being totally addressed in the draft has been
part of group discussions before. The idea of interlayer "communications" is
yes interesting but after a lenghty discussion on th emailing list I think
we had decided not to pursue it as a bit out of scope. This said the link of
MAC layer protocols and QoS has also been extensively addressed by the
satellite community too, see all the Bandwidth on Demand (BOD) work, where
(mostly) TDMA slots are reserved based on queue fullness, traffic priority,
bandwdith reservations etc. A  lot of the BOD signaling mechanisms were
derived originally from Q2931 signaling then RSVP.

I do follow the Mobile IP group and yes some of the proposed Seamoby and
Mobile IP mechanisms are interesting. What do you propose? Reference them in
LINK? Add a LINK section on those proposals? Maybe one thing that could be
added to LINK is the issue of some cost function that includes link status
which could be used for some QoS routing or link status that could be added
to some leaky bucket algorithm to decide which stream gets access to the
bandwidth. I don't know as LINK I think is not strictly wireless...

Marie-Jose

Marie-Jose Montpetit
Network Architect
Nokia Home Communications R&D - Boston
[email-masked]